Method: networks.childPublishers.batchReject

Batch rejects ChildPublishers.

Only pending or active ChildPublishers can be rejected. Expired, rejected, and withdrawn ChildPublishers will be ignored.

This method is only intended to be called in response to a child user rejecting an invitation and exists to support the rejection of ChildPublishers that are not yet associated with an Ad Manager network.

To sever the relationship from the parent publisher's side, use [BatchWithdrawChildPublisher][].

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/childPublishers:batchReject

Path parameters

Parameters
parent

string

Required. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ]
}
Fields
names[]

string

Required. Resource names of the ChildPublishers to reject. Format: networks/{networkCode}/childPublisher/{child_publisher_id}

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.